ArcoLinux -D -B 19.5 iso's have been released

[INFO] Sardi icons update error - November 2018

Must read
Post Reply
User avatar
erikdubois
Captain
Posts: 2056
Joined: Tue Nov 07, 2017 3:45 pm
Location: Belgium
Contact:
Belgium
[INFO] Sardi icons update error - November 2018

Post by erikdubois » Fri Nov 30, 2018 8:47 am

At the end of November I added two icon themes to the Sardi icon collection.
  • Sardi-Flexible-Arc
  • Sardi-Mono-Arc
If you have only Sardi icons then the update will just be successful BUT
if you had installed other Sardi icons from the AUR or with the help of the nemesis script you get an error.

Pacman or package manager keeps track of what is where.

Since I moved Sardi-Flexible-Arc from the package Sardi-flexible-mixing-icons-git,
Since I moved Sardi-Mono-Arc from the package Sardi-Mono-mixing-icons-git,

to Sardi-icons, pacman says that there is a conflict when you update

https://asciinema.org/a/yEhB3l0fleDZpYftBLiEzadR3

There are different options to solve it:

Option 1: RECOMMENDED

Delete only Sardi-icons and update your system.

Code: Select all

sudo pacman -R sardi-icons
then update everything

then reinstall sardi-icons

Code: Select all

yay -S sardi-icons
You can see the same conflict in this video at around 9:30



Option 2:

delete all sardi-extra icons except sardi-icons and update and reinstall all the delete sardi-extra icons
Learn, have fun and enjoy.
But first use the power of the Arch Wiki
use the tutorials on https://www.youtube.com/erikdubois
then use the power of google
then use the power of our moderators.


Post Reply

Return to “Known issues and their solution”